Bug 17745 - xml:base and xml:space allowed on foreign elements, but also forbidden
xml:base and xml:space allowed on foreign elements, but also forbidden
Status: RESOLVED FIXED
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
PC Windows NT
: P2 normal
: ---
Assigned To: Silvia Pfeiffer
HTML WG Bugzilla archive list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-11 15:28 UTC by Henry S. Thompson
Modified: 2012-09-21 10:21 UTC (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Henry S. Thompson 2012-07-11 15:28:03 UTC
Is it a terminology issue, or a deeper problem, that we have both

  When a _foreign element_ has one of the namespaced attributes given by
  the local name and namespace of the first and second cells of a row
  from the following table, it must be written using the name given by
  the third cell from the same row. . . xml:base . . . xml:space

  [Section 8.1.2.3 Attributes, in Section 8 The HTML Syntax]

but also

  Authors must not use the xml:base attribute in _HTML documents_.

  [Section 3.2.3.5 The xml:base attribute (XML only)]

?

That is, the former appears to allow xml:base on foreign elements,
while the latter appears to forbid it.  Please clarify this in the
spec. one way or the other --- our preference would be for the xml:
attributes to be allowed on foreign elements.

Submitted on behalf of the XML Core WG
Comment 1 Simon Pieters 2012-07-11 16:48:09 UTC
I think they should be allowed on HTML elements as well. They can be set by script, and xml:base might well be useful.
Comment 2 contributor 2012-07-18 07:13:04 UTC
This bug was cloned to create bug 17890 as part of operation convergence.
Comment 3 Silvia Pfeiffer 2012-09-21 10:21:23 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If
   you are satisfied with this response, please change the state of
   this bug to CLOSED. If you have additional information and would
   like the Editor to reconsider, please reopen this bug. If you would
   like to escalate the issue to the full HTML Working Group, please
   add the TrackerRequest keyword to this bug, and suggest title and
   text for the Tracker Issue; or you may create a Tracker Issue
   yourself, if you are able to do so. For more details, see this
   document:       http://dev.w3.org/html5/decision-policy/decision-policy.html

   Status: Accepted
   Change Description: Patch applied
https://github.com/w3c/html/commit/cb736cefe0be9113d2934d59f3a29b72e5cc5f64
   Rationale: adopted from WHATWG